#include <stdio.h>
#include <stdlib.h>

long int largest(long int arr[], long int n)
{
    long int i;
    long int max = arr[0];
    for(i = 1; i<n; i++)
    {
        if(arr[i] > max)
        {
            max = arr[i];
        }
    }
    return max;
}

long int smallest(long int arr[], long int n)
{
    long int i;
    long int min = arr[0];
    for(i = 0; i<n; i++)
    {
        if(arr[i] < min)
        {
            min = arr[i];
        }
    }
    return min;
}

int main()
{
    long int n; //Szomszedok szama!
    long int x; //Milos hazanak a helyzete!
    long int min, max;
    long int end = 0;
    scanf("%li %li", &n, &x);
    long int hazak[n];
    for(long int i = 0; i<n; i++)
    {
        scanf("%li", &hazak[i]);
        //printf("%d\n",hazak[i]);
    }
    min = smallest(hazak,n);
    max = largest(hazak,n);
    if(min < x)
    {
        end += abs(min-x);
        x = min;
    }
    if(max > x)
    {
        end += abs(max-x);
    }
    printf("%li", end);
    return 0;
}